Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoMarshalConv

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoMarshalConv

native declaration : mono\metadata\metadata.h
enum values

Field Summary
`static int` | `MONO_MARSHAL_CONV_ARRAY_BYVALARRAY`
`static int` | `MONO_MARSHAL_CONV_ARRAY_BYVALCHARARRAY`
`static int` | `MONO_MARSHAL_CONV_ARRAY_LPARRAY`
`static int` | `MONO_MARSHAL_CONV_ARRAY_SAVEARRAY`
`static int` | `MONO_MARSHAL_CONV_BOOL_I4`
`static int` | `MONO_MARSHAL_CONV_BOOL_VARIANTBOOL`
`static int` | `MONO_MARSHAL_CONV_BSTR_STR`
`static int` | `MONO_MARSHAL_CONV_DEL_FTN`
`static int` | `MONO_MARSHAL_CONV_FTN_DEL`
`static int` | `MONO_MARSHAL_CONV_HANDLEREF`
`static int` | `MONO_MARSHAL_CONV_LPSTR_SB`
`static int` | `MONO_MARSHAL_CONV_LPSTR_STR`
`static int` | `MONO_MARSHAL_CONV_LPTSTR_SB`
`static int` | `MONO_MARSHAL_CONV_LPTSTR_STR`
`static int` | `MONO_MARSHAL_CONV_LPWSTR_SB`
`static int` | `MONO_MARSHAL_CONV_LPWSTR_STR`
`static int` | `MONO_MARSHAL_CONV_NONE`
`static int` | `MONO_MARSHAL_CONV_OBJECT_IDISPATCH`
`static int` | `MONO_MARSHAL_CONV_OBJECT_INTERFACE`
`static int` | `MONO_MARSHAL_CONV_OBJECT_IUNKNOWN`
`static int` | `MONO_MARSHAL_CONV_OBJECT_STRUCT`
`static int` | `MONO_MARSHAL_CONV_SAFEHANDLE`
`static int` | `MONO_MARSHAL_CONV_SB_LPSTR`
`static int` | `MONO_MARSHAL_CONV_SB_LPTSTR`
`static int` | `MONO_MARSHAL_CONV_SB_LPWSTR`
`static int` | `MONO_MARSHAL_CONV_STR_ANSIBSTR`
`static int` | `MONO_MARSHAL_CONV_STR_BSTR`
`static int` | `MONO_MARSHAL_CONV_STR_BYVALSTR`
`static int` | `MONO_MARSHAL_CONV_STR_BYVALWSTR`
`static int` | `MONO_MARSHAL_CONV_STR_LPSTR`
`static int` | `MONO_MARSHAL_CONV_STR_LPTSTR`
`static int` | `MONO_MARSHAL_CONV_STR_LPWSTR`
`static int` | `MONO_MARSHAL_CONV_STR_TBSTR`
`static int` | `MONO_MARSHAL_FREE_ARRAY`

Field Detail

### MONO_MARSHAL_CONV_NONE

    static final int MONO_MARSHAL_CONV_NONE

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_BOOL_VARIANTBOOL

    static final int MONO_MARSHAL_CONV_BOOL_VARIANTBOOL

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_BOOL_I4

    static final int MONO_MARSHAL_CONV_BOOL_I4

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_BSTR

    static final int MONO_MARSHAL_CONV_STR_BSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_LPSTR

    static final int MONO_MARSHAL_CONV_STR_LPSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPSTR_STR

    static final int MONO_MARSHAL_CONV_LPSTR_STR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPTSTR_STR

    static final int MONO_MARSHAL_CONV_LPTSTR_STR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_LPWSTR

    static final int MONO_MARSHAL_CONV_STR_LPWSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPWSTR_STR

    static final int MONO_MARSHAL_CONV_LPWSTR_STR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_LPTSTR

    static final int MONO_MARSHAL_CONV_STR_LPTSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_ANSIBSTR

    static final int MONO_MARSHAL_CONV_STR_ANSIBSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_TBSTR

    static final int MONO_MARSHAL_CONV_STR_TBSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_BYVALSTR

    static final int MONO_MARSHAL_CONV_STR_BYVALSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_STR_BYVALWSTR

    static final int MONO_MARSHAL_CONV_STR_BYVALWSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_SB_LPSTR

    static final int MONO_MARSHAL_CONV_SB_LPSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_SB_LPTSTR

    static final int MONO_MARSHAL_CONV_SB_LPTSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_SB_LPWSTR

    static final int MONO_MARSHAL_CONV_SB_LPWSTR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPSTR_SB

    static final int MONO_MARSHAL_CONV_LPSTR_SB

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPTSTR_SB

    static final int MONO_MARSHAL_CONV_LPTSTR_SB

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_LPWSTR_SB

    static final int MONO_MARSHAL_CONV_LPWSTR_SB

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_ARRAY_BYVALARRAY

    static final int MONO_MARSHAL_CONV_ARRAY_BYVALARRAY

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_ARRAY_BYVALCHARARRAY

    static final int MONO_MARSHAL_CONV_ARRAY_BYVALCHARARRAY

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_ARRAY_SAVEARRAY

    static final int MONO_MARSHAL_CONV_ARRAY_SAVEARRAY

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_ARRAY_LPARRAY

    static final int MONO_MARSHAL_CONV_ARRAY_LPARRAY

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_OBJECT_INTERFACE

    static final int MONO_MARSHAL_CONV_OBJECT_INTERFACE

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_OBJECT_IDISPATCH

    static final int MONO_MARSHAL_CONV_OBJECT_IDISPATCH

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_OBJECT_IUNKNOWN

    static final int MONO_MARSHAL_CONV_OBJECT_IUNKNOWN

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_OBJECT_STRUCT

    static final int MONO_MARSHAL_CONV_OBJECT_STRUCT

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_DEL_FTN

    static final int MONO_MARSHAL_CONV_DEL_FTN

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_FTN_DEL

    static final int MONO_MARSHAL_CONV_FTN_DEL

See Also:
  Constant Field Values

### MONO_MARSHAL_FREE_ARRAY

    static final int MONO_MARSHAL_FREE_ARRAY

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_BSTR_STR

    static final int MONO_MARSHAL_CONV_BSTR_STR

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_SAFEHANDLE

    static final int MONO_MARSHAL_CONV_SAFEHANDLE

See Also:
  Constant Field Values

### MONO_MARSHAL_CONV_HANDLEREF

    static final int MONO_MARSHAL_CONV_HANDLEREF

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD